<template>
  <div>
    <h2>Item</h2>
    <h4>Item com hover</h4>
    <br-item id="item1" hover>Texto simples</br-item>
    <h4>Item disabled</h4>
    <br-item id="item-disabled" disabled>Texto simples</br-item>
    <h4>Item com imagem</h4>
    <br-item hover>
      <!-- Error: br-item do tipo imagem nao funciona -->
      <div class="row align-items-center">
        <div class="col-auto">
          <img class="rounded" src="https://picsum.photos/40/40" alt="imagem de exemplo 1" />
        </div>
        <div class="col">
          <span>Item 1 - uma imagem e um texto (sem elemento de formulário)</span>
        </div>
      </div>
    </br-item>
    <h4>Item com checkbox</h4>
    <br-item hover>
      <br-checkbox id="check-01" label="Item 1"> </br-checkbox>
    </br-item>
    <br-item hover>
      <br-checkbox id="check-02" label="Item 2"> </br-checkbox>
    </br-item>
  </div>
</template>
